package cd.casic.module.machine.enums;


import cd.casic.framework.commons.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum MachineInfoStatus implements IntArrayValuable {
    ENABLE(1, "启用"),
    UN_ENABLE(0, "停用");
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(MachineInfoStatus::getCode).toArray();
    private final int code;

    private final String message;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
